Mailrelay API Reference

Get RSS campaign's processed entries

GET https://{account}/api/v1/rss_campaigns/{id}/processed_entries

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Get RSS campaign's processed entries.

Pagination

This is a paginated resource. You can optionally send two query parameters:

Parameter Description
page The page that you want to retrieve. It starts with 1.
per_page The number of records returned per page. The max allowed value for this resource is 1000.

Parameters

NameTypeRequiredDescription
id integer Yes ID of the record
page integer No Page number
per_page integer No Number of records per page
q[entry_id_eq] string No Search: Entry ID equals
q[entry_id_cont] string No Search: Entry ID contains
q[sent_campaign_id_eq] integer No Search: Sent campaign equals
q[sent_campaign_id_gteq] integer No Search: Sent campaign greater than or equal to
q[sent_campaign_id_lteq] integer No Search: Sent campaign less than or equal to
q[s] string No Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "entry_id desc"

Responses

StatusDescription
200 Success
400 The request is invalid. Check the query parameters, including that per_page isn't above the maximum allowed for this resource.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.
404 Couldn't find record with provided ID.

Response fields

NameTypeDescription
entry_id string Entry ID
sent_campaign_id integer Sent campaign
created_at string Created at
updated_at string Updated at

Response headers

NameTypeDescription
Per-Page integer Number of records returned per page.
Total integer Total number of records matching the request, ignoring pagination.
Link string RFC 5988 links to the first, prev, next and last pages. Only the applicable relations are included.